import 'package:get_cli/common/default_file_creator.dart';
import 'package:get_cli/core/structure.dart';
import 'package:get_cli/models/file_model.dart';
import 'package:recase/recase.dart';

Future handleFileCreate(String name, String command, bool extraFolder) async {
  Generator defaultGenerator = Generator(currentStructure: defaultStructure);
  await defaultGenerator.createFile(
      fileModel: FileModel(
    result: name,
    path: Structure.getPathWithName(
      defaultStructure.getPathByKey(command),
      ReCase(name).snakeCase,
      createWithWrappedFolder: extraFolder,
    ),
    commandName: command,
  ));
}
